Name:		astraceroute
Version: 	1.4.a12.1
Release:	14.1
License: 	GPL
Group: 		System
Summary: 	AStraceroute - AS traceroute
URL: 		http://www.shrubbery.net/astraceroute/
Source0: 	%{name}-%{version}.tar.gz
Source1:	%{name}-rpmlintrc
Patch0:		%{name}-makefile.diff
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
Packager:       Carsten Schoene <cs@linux-administrator.com>
Vendor:         linux-administrator.com
BuildRequires:	glibc-devel libgcc gcc gcc-c++

%ifarch x86_64
%if 0%{?suse_version}
BuildRequires: glibc-devel-32bit
%endif
%endif

%description
astraceroute is based on traceroute from LBL (  ftp://ftp.ee.lbl.gov/traceroute.tar.gz) 
with the added feature of origin AS resolution, much like the prtraceroute that comes with the IRRToolSet.

%prep
%setup -n %{name}
%patch0 -p1
make distclean
%ifarch x86_64
%define build_host x86_64-unknown-linux
CFLAGS="%{optflags} -m64 -g -lresolv -I./linux-include" CXXFLAGS="%{optflags} -m64" \
%else
%define build_host i386-unknown-linux
CFLAGS="%{optflags} -m32 -g -lresolv" CXXFLAGS="%{optflags} -m32" \
%endif
./configure \
 --build=%{build_host} \
 --prefix=%{_prefix} \
 --mandir=%{_mandir} \
 --sysconfdir=%{_sysconfdir} \
 --libdir=%{_libdir} \
 --datadir=%{_datadir}

%build
%__make

%install
install -m 755 -d %{buildroot}/%{_sbindir}
%__make DESTDIR=%{buildroot} install

%clean
rm -rf $RPM_BUILD_ROOT/*
rm -rf $RPM_BUILD_DIR/%{name}*


%files
%defattr(-,root,root)
%attr(4555, root, bin) %{_sbindir}/astraceroute
%doc README CHANGES

%changelog
* Thu Feb 21 2008 Carsten Schoene <cs@linux-administrator.com> - 1.4.a12.1-1
- initial package
